Subject: bug#56530: 29.0.50; mouse-2 cut selected text when cua-mode is enabled

From: Stefan Kangas <[email-masked]>
Date: Wed, 13 Jul 2022 04:30:19 -0700

Visuwesh <[email-masked]> writes:

> AFAICT, the recipe produces what I had in my mind when I proposed.  The
> behaviour might seems slightly odd since mouse-yank-at-point is set to
> nil in OP's case.  It shouldn't be hard to take this defcustom into
> account tho.

I think that neither Emacs nor `cua-mode' should behave differently from
other X programs in this regard, certainly not by default.  Could we
please avoid that?  The entire point of `cua-mode' is to be /more/ like
other software, not less.